<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="ProductTest Suite">

    <test name="ProductTest">
        <classes>
            <class name="com.moyuer.cloud.systemtest.test.store.ProductTest">
                <methods>
                    <include name="productFlow"/>
                    <include name="updateProduct"/>
                    <include name="updateProductName"/>
                    <include name="updateProductPrice"/>
                    <include name="updateProductStock"/>
                    <include name="updateProductSeq"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.store.SupplierProductTest">
                <methods>
                    <include name="productFlow"/>
                    <include name="updateProduct"/>
                    <include name="updateProductName"/>
                    <include name="updateProductPrice"/>
                    <include name="updateProductStock"/>
                    <include name="updateProductSeq"/>
                </methods>
            </class>
            <class name="com.moyuer.cloud.systemtest.test.store.ConsignmentManagementTest">
                <methods>
                    <include name="consignmentManagementFlow"/>
                </methods>
            </class>
        </classes>
    </test>

    <listeners>
        <listener class-name="org.uncommons.reportng.HTMLReporter"/>
        <listener class-name="org.uncommons.reportng.JUnitXMLReporter"/>
    </listeners>
</suite>